# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- Add `versions` table to store versoin information of converter(this software)
- Add `skew` columnt to `qaqc_positions` table
- Add `DownloadCSVs` module and functions which downloads the latest CSVs from Google sheets

### Changed

- Set download functions in `DownloadCSVs` as default CSV locations in `create_database_from_exported_csvs`
- Replaced CSV files used in test to newly add `DownloadCSVs` functions

## [0.1.0]

### Added

- Function to convert exported QAQC result CSV files and QAQC JATHub master logs to SQLite database.
- Docs on the database and example of querying the database.
- Docs on the internal (Julia implementation)

[unreleased]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/~/compare/v0.1.0...main
[0.1.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/~/tags/v0.1.0
